> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates



## OpenAPI

````yaml /openapi.json get /api/v1/workflows/templates
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workflows/templates:
    get:
      tags:
        - Workflows
      summary: List Templates
      operationId: list_templates_api_v1_workflows_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkflowTemplateResponse'
                type: array
                title: Response List Templates Api V1 Workflows Templates Get
components:
  schemas:
    WorkflowTemplateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Category
        node_count:
          type: integer
          title: Node Count
          default: 0
      type: object
      required:
        - id
        - title
      title: WorkflowTemplateResponse

````